> ## Documentation Index
> Fetch the complete documentation index at: https://docs.messagefy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Enviar Mensagem

> Envia uma mensagem para um canal



## OpenAPI

````yaml POST /api/v1/message/SendMessage
openapi: 3.0.4
info:
  title: MessageFy API
  description: >-
    API de mensageria multi-canal do MessageFy. Envie e receba mensagens via
    WhatsApp, HTTP, Telegram e outros canais com uma API unificada.
  version: v1
servers:
  - url: https://api-dev.messagefy.io
security:
  - apiKey: []
tags:
  - name: Me
  - name: Configure
  - name: DeleteMessage
  - name: EditMessage
  - name: MessageOutbox
  - name: SearchMessage
  - name: SendMessage
  - name: Account
  - name: ApiKey
  - name: Channel
  - name: Outbox
paths:
  /api/v1/message/SendMessage:
    post:
      tags:
        - SendMessage
      requestBody:
        content:
          application/json; v=1.0:
            schema:
              type: object
              properties:
                packageId:
                  type: string
                  format: uuid
                  nullable: true
                correlationId:
                  type: string
                  nullable: true
                originPackageId:
                  type: string
                  format: uuid
                  nullable: true
                channelId:
                  type: string
                  format: uuid
                organizationID:
                  type: string
                  format: uuid
                  nullable: true
                organizationName:
                  type: string
                  nullable: true
                accountId:
                  type: string
                  format: uuid
                  nullable: true
                accountName:
                  type: string
                  nullable: true
                content:
                  type: object
                  anyOf:
                    - title: Texto
                      required:
                        - text
                        - to
                      properties:
                        type:
                          enum:
                            - TEXT
                          type: string
                        text:
                          type: string
                        from:
                          required:
                            - type
                          type: object
                          anyOf:
                            - properties:
                                type:
                                  enum:
                                    - EMAIL
                                  type: string
                                email:
                                  type: string
                                name:
                                  type: string
                            - properties:
                                type:
                                  enum:
                                    - WHATSAPP
                                  type: string
                                jid:
                                  type: string
                                  nullable: true
                                lid:
                                  type: string
                                  nullable: true
                                number:
                                  type: string
                                  nullable: true
                                name:
                                  type: string
                                  nullable: true
                            - properties:
                                type:
                                  enum:
                                    - SMS
                                  type: string
                                number:
                                  type: string
                          nullable: true
                          discriminator:
                            propertyName: type
                            mapping:
                              EMAIL: '#/components/schemas/AddressEmailAddress'
                              WHATSAPP: '#/components/schemas/AddressWhatsAppAddress'
                              SMS: '#/components/schemas/AddressSmsAddress'
                        to:
                          required:
                            - type
                          type: object
                          anyOf:
                            - properties:
                                type:
                                  enum:
                                    - EMAIL
                                  type: string
                                email:
                                  type: string
                                name:
                                  type: string
                            - properties:
                                type:
                                  enum:
                                    - WHATSAPP
                                  type: string
                                jid:
                                  type: string
                                  nullable: true
                                lid:
                                  type: string
                                  nullable: true
                                number:
                                  type: string
                                  nullable: true
                                name:
                                  type: string
                                  nullable: true
                            - properties:
                                type:
                                  enum:
                                    - SMS
                                  type: string
                                number:
                                  type: string
                          discriminator:
                            propertyName: type
                            mapping:
                              EMAIL: '#/components/schemas/AddressEmailAddress'
                              WHATSAPP: '#/components/schemas/AddressWhatsAppAddress'
                              SMS: '#/components/schemas/AddressSmsAddress'
                        messageId:
                          type: string
                          nullable: true
                        isFromMe:
                          type: boolean
                        isGroupMessage:
                          type: boolean
                        deliveryStrategy:
                          type: integer
                        priority:
                          maximum: 5
                          minimum: 1
                          type: integer
                          format: uint8
                        deliveryDeadline:
                          type: string
                          format: date-time
                          nullable: true
                        isForwarded:
                          type: boolean
                        isStatusMessage:
                          type: boolean
                        isHistoryMessage:
                          type: boolean
                        isNewsletter:
                          type: boolean
                        isBroadcast:
                          type: boolean
                        isAnnounceGroup:
                          type: boolean
                        isCommunityNotices:
                          type: boolean
                        quotedMessage:
                          type: object
                          properties:
                            messageId:
                              type: string
                              nullable: true
                            participant:
                              type: string
                              nullable: true
                            body:
                              type: string
                              nullable: true
                            type:
                              type: string
                              nullable: true
                            thumbnail:
                              type: string
                              nullable: true
                            isStatusReply:
                              type: boolean
                          nullable: true
                        metaReferralAds:
                          type: object
                          properties:
                            sourceUrl:
                              type: string
                              nullable: true
                            sourceType:
                              type: string
                              nullable: true
                            sourceId:
                              type: string
                              nullable: true
                            headline:
                              type: string
                              nullable: true
                            body:
                              type: string
                              nullable: true
                            mediaType:
                              type: string
                              nullable: true
                            imageUrl:
                              type: string
                              nullable: true
                            videoUrl:
                              type: string
                              nullable: true
                            thumbnailUrl:
                              type: string
                              nullable: true
                            ctwaClid:
                              type: string
                              nullable: true
                          nullable: true
                        timestamp:
                          type: string
                          format: date-time
                    - title: Template
                      required:
                        - templateId
                        - to
                      properties:
                        type:
                          enum:
                            - TEMPLATE
                          type: string
                        templateId:
                          type: string
                          format: uuid
                        components:
                          type: array
                          items:
                            required:
                              - type
                            type: object
                            anyOf:
                              - properties:
                                  type:
                                    enum:
                                      - header
                                    type: string
                                  parameters:
                                    type: array
                                    items:
                                      required:
                                        - type
                                      type: object
                                      anyOf:
                                        - properties:
                                            type:
                                              enum:
                                                - text
                                              type: string
                                            text:
                                              type: string
                                              nullable: true
                                            parameter_name:
                                              type: string
                                              nullable: true
                                        - properties:
                                            type:
                                              enum:
                                                - currency
                                              type: string
                                            currency:
                                              type: object
                                              properties:
                                                fallback_value:
                                                  type: string
                                                  nullable: true
                                                code:
                                                  type: string
                                                  nullable: true
                                                amount_1000:
                                                  type: integer
                                                  format: int64
                                                  nullable: true
                                              nullable: true
                                        - properties:
                                            type:
                                              enum:
                                                - date_time
                                              type: string
                                            date_time:
                                              type: object
                                              properties:
                                                fallback_value:
                                                  type: string
                                                  nullable: true
                                              nullable: true
                                        - properties:
                                            type:
                                              enum:
                                                - image
                                              type: string
                                            image:
                                              type: object
                                              properties:
                                                link:
                                                  type: string
                                                  nullable: true
                                                id:
                                                  type: string
                                                  nullable: true
                                                filename:
                                                  type: string
                                                  nullable: true
                                              nullable: true
                                        - properties:
                                            type:
                                              enum:
                                                - video
                                              type: string
                                            video:
                                              type: object
                                              properties:
                                                link:
                                                  type: string
                                                  nullable: true
                                                id:
                                                  type: string
                                                  nullable: true
                                                filename:
                                                  type: string
                                                  nullable: true
                                              nullable: true
                                        - properties:
                                            type:
                                              enum:
                                                - document
                                              type: string
                                            document:
                                              type: object
                                              properties:
                                                link:
                                                  type: string
                                                  nullable: true
                                                id:
                                                  type: string
                                                  nullable: true
                                                filename:
                                                  type: string
                                                  nullable: true
                                              nullable: true
                                        - properties:
                                            type:
                                              enum:
                                                - location
                                              type: string
                                            location:
                                              type: object
                                              properties:
                                                latitude:
                                                  type: string
                                                  nullable: true
                                                longitude:
                                                  type: string
                                                  nullable: true
                                                name:
                                                  type: string
                                                  nullable: true
                                                address:
                                                  type: string
                                                  nullable: true
                                              nullable: true
                                        - properties:
                                            type:
                                              enum:
                                                - payload
                                              type: string
                                            payload:
                                              type: string
                                              nullable: true
                                        - properties:
                                            type:
                                              enum:
                                                - coupon_code
                                              type: string
                                            coupon_code:
                                              type: string
                                              nullable: true
                                      discriminator:
                                        propertyName: type
                                        mapping:
                                          text: >-
                                            #/components/schemas/TemplateSendParameterTemplateSendTextParameter
                                          currency: >-
                                            #/components/schemas/TemplateSendParameterTemplateSendCurrencyParameter
                                          date_time: >-
                                            #/components/schemas/TemplateSendParameterTemplateSendDateTimeParameter
                                          image: >-
                                            #/components/schemas/TemplateSendParameterTemplateSendImageParameter
                                          video: >-
                                            #/components/schemas/TemplateSendParameterTemplateSendVideoParameter
                                          document: >-
                                            #/components/schemas/TemplateSendParameterTemplateSendDocumentParameter
                                          location: >-
                                            #/components/schemas/TemplateSendParameterTemplateSendLocationParameter
                                          payload: >-
                                            #/components/schemas/TemplateSendParameterTemplateSendPayloadParameter
                                          coupon_code: >-
                                            #/components/schemas/TemplateSendParameterTemplateSendCouponCodeParameter
                                    nullable: true
                              - properties:
                                  type:
                                    enum:
                                      - body
                                    type: string
                                  parameters:
                                    type: array
                                    items:
                                      discriminator:
                                        propertyName: type
                                        mapping:
                                          text: >-
                                            #/components/schemas/TemplateSendParameterTemplateSendTextParameter
                                          currency: >-
                                            #/components/schemas/TemplateSendParameterTemplateSendCurrencyParameter
                                          date_time: >-
                                            #/components/schemas/TemplateSendParameterTemplateSendDateTimeParameter
                                          image: >-
                                            #/components/schemas/TemplateSendParameterTemplateSendImageParameter
                                          video: >-
                                            #/components/schemas/TemplateSendParameterTemplateSendVideoParameter
                                          document: >-
                                            #/components/schemas/TemplateSendParameterTemplateSendDocumentParameter
                                          location: >-
                                            #/components/schemas/TemplateSendParameterTemplateSendLocationParameter
                                          payload: >-
                                            #/components/schemas/TemplateSendParameterTemplateSendPayloadParameter
                                          coupon_code: >-
                                            #/components/schemas/TemplateSendParameterTemplateSendCouponCodeParameter
                                    nullable: true
                              - properties:
                                  type:
                                    enum:
                                      - button
                                    type: string
                                  sub_type:
                                    type: string
                                    nullable: true
                                  index:
                                    type: integer
                                    format: int32
                                    nullable: true
                                  parameters:
                                    type: array
                                    items:
                                      discriminator:
                                        propertyName: type
                                        mapping:
                                          text: >-
                                            #/components/schemas/TemplateSendParameterTemplateSendTextParameter
                                          currency: >-
                                            #/components/schemas/TemplateSendParameterTemplateSendCurrencyParameter
                                          date_time: >-
                                            #/components/schemas/TemplateSendParameterTemplateSendDateTimeParameter
                                          image: >-
                                            #/components/schemas/TemplateSendParameterTemplateSendImageParameter
                                          video: >-
                                            #/components/schemas/TemplateSendParameterTemplateSendVideoParameter
                                          document: >-
                                            #/components/schemas/TemplateSendParameterTemplateSendDocumentParameter
                                          location: >-
                                            #/components/schemas/TemplateSendParameterTemplateSendLocationParameter
                                          payload: >-
                                            #/components/schemas/TemplateSendParameterTemplateSendPayloadParameter
                                          coupon_code: >-
                                            #/components/schemas/TemplateSendParameterTemplateSendCouponCodeParameter
                                    nullable: true
                              - properties:
                                  type:
                                    enum:
                                      - carousel
                                    type: string
                                  cards:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        card_index:
                                          type: integer
                                          format: int32
                                          nullable: true
                                        components:
                                          type: array
                                          items:
                                            discriminator:
                                              propertyName: type
                                              mapping:
                                                header: >-
                                                  #/components/schemas/TemplateSendComponentTemplateSendHeaderComponent
                                                body: >-
                                                  #/components/schemas/TemplateSendComponentTemplateSendBodyComponent
                                                button: >-
                                                  #/components/schemas/TemplateSendComponentTemplateSendButtonComponent
                                                carousel: >-
                                                  #/components/schemas/TemplateSendComponentTemplateSendCarouselComponent
                                          nullable: true
                                    nullable: true
                            discriminator:
                              propertyName: type
                              mapping:
                                header: >-
                                  #/components/schemas/TemplateSendComponentTemplateSendHeaderComponent
                                body: >-
                                  #/components/schemas/TemplateSendComponentTemplateSendBodyComponent
                                button: >-
                                  #/components/schemas/TemplateSendComponentTemplateSendButtonComponent
                                carousel: >-
                                  #/components/schemas/TemplateSendComponentTemplateSendCarouselComponent
                          nullable: true
                        from:
                          required:
                            - type
                          type: object
                          anyOf:
                            - properties:
                                type:
                                  enum:
                                    - EMAIL
                                  type: string
                                email:
                                  type: string
                                name:
                                  type: string
                            - properties:
                                type:
                                  enum:
                                    - WHATSAPP
                                  type: string
                                jid:
                                  type: string
                                  nullable: true
                                lid:
                                  type: string
                                  nullable: true
                                number:
                                  type: string
                                  nullable: true
                                name:
                                  type: string
                                  nullable: true
                            - properties:
                                type:
                                  enum:
                                    - SMS
                                  type: string
                                number:
                                  type: string
                          nullable: true
                          discriminator:
                            propertyName: type
                            mapping:
                              EMAIL: '#/components/schemas/AddressEmailAddress'
                              WHATSAPP: '#/components/schemas/AddressWhatsAppAddress'
                              SMS: '#/components/schemas/AddressSmsAddress'
                        to:
                          required:
                            - type
                          type: object
                          anyOf:
                            - properties:
                                type:
                                  enum:
                                    - EMAIL
                                  type: string
                                email:
                                  type: string
                                name:
                                  type: string
                            - properties:
                                type:
                                  enum:
                                    - WHATSAPP
                                  type: string
                                jid:
                                  type: string
                                  nullable: true
                                lid:
                                  type: string
                                  nullable: true
                                number:
                                  type: string
                                  nullable: true
                                name:
                                  type: string
                                  nullable: true
                            - properties:
                                type:
                                  enum:
                                    - SMS
                                  type: string
                                number:
                                  type: string
                          discriminator:
                            propertyName: type
                            mapping:
                              EMAIL: '#/components/schemas/AddressEmailAddress'
                              WHATSAPP: '#/components/schemas/AddressWhatsAppAddress'
                              SMS: '#/components/schemas/AddressSmsAddress'
                        messageId:
                          type: string
                          nullable: true
                        isFromMe:
                          type: boolean
                        isGroupMessage:
                          type: boolean
                        deliveryStrategy:
                          type: integer
                        priority:
                          maximum: 5
                          minimum: 1
                          type: integer
                          format: uint8
                        deliveryDeadline:
                          type: string
                          format: date-time
                          nullable: true
                        isForwarded:
                          type: boolean
                        isStatusMessage:
                          type: boolean
                        isHistoryMessage:
                          type: boolean
                        isNewsletter:
                          type: boolean
                        isBroadcast:
                          type: boolean
                        isAnnounceGroup:
                          type: boolean
                        isCommunityNotices:
                          type: boolean
                        quotedMessage:
                          type: object
                          properties:
                            messageId:
                              type: string
                              nullable: true
                            participant:
                              type: string
                              nullable: true
                            body:
                              type: string
                              nullable: true
                            type:
                              type: string
                              nullable: true
                            thumbnail:
                              type: string
                              nullable: true
                            isStatusReply:
                              type: boolean
                          nullable: true
                        metaReferralAds:
                          type: object
                          properties:
                            sourceUrl:
                              type: string
                              nullable: true
                            sourceType:
                              type: string
                              nullable: true
                            sourceId:
                              type: string
                              nullable: true
                            headline:
                              type: string
                              nullable: true
                            body:
                              type: string
                              nullable: true
                            mediaType:
                              type: string
                              nullable: true
                            imageUrl:
                              type: string
                              nullable: true
                            videoUrl:
                              type: string
                              nullable: true
                            thumbnailUrl:
                              type: string
                              nullable: true
                            ctwaClid:
                              type: string
                              nullable: true
                          nullable: true
                        timestamp:
                          type: string
                          format: date-time
                    - title: Reação
                      required:
                        - emoji
                        - targetMessageId
                        - to
                      properties:
                        type:
                          enum:
                            - REACTION
                          type: string
                        emoji:
                          type: string
                        targetMessageId:
                          type: string
                        targetFromMe:
                          type: boolean
                        targetParticipant:
                          type: string
                          nullable: true
                        from:
                          required:
                            - type
                          type: object
                          anyOf:
                            - properties:
                                type:
                                  enum:
                                    - EMAIL
                                  type: string
                                email:
                                  type: string
                                name:
                                  type: string
                            - properties:
                                type:
                                  enum:
                                    - WHATSAPP
                                  type: string
                                jid:
                                  type: string
                                  nullable: true
                                lid:
                                  type: string
                                  nullable: true
                                number:
                                  type: string
                                  nullable: true
                                name:
                                  type: string
                                  nullable: true
                            - properties:
                                type:
                                  enum:
                                    - SMS
                                  type: string
                                number:
                                  type: string
                          nullable: true
                          discriminator:
                            propertyName: type
                            mapping:
                              EMAIL: '#/components/schemas/AddressEmailAddress'
                              WHATSAPP: '#/components/schemas/AddressWhatsAppAddress'
                              SMS: '#/components/schemas/AddressSmsAddress'
                        to:
                          required:
                            - type
                          type: object
                          anyOf:
                            - properties:
                                type:
                                  enum:
                                    - EMAIL
                                  type: string
                                email:
                                  type: string
                                name:
                                  type: string
                            - properties:
                                type:
                                  enum:
                                    - WHATSAPP
                                  type: string
                                jid:
                                  type: string
                                  nullable: true
                                lid:
                                  type: string
                                  nullable: true
                                number:
                                  type: string
                                  nullable: true
                                name:
                                  type: string
                                  nullable: true
                            - properties:
                                type:
                                  enum:
                                    - SMS
                                  type: string
                                number:
                                  type: string
                          discriminator:
                            propertyName: type
                            mapping:
                              EMAIL: '#/components/schemas/AddressEmailAddress'
                              WHATSAPP: '#/components/schemas/AddressWhatsAppAddress'
                              SMS: '#/components/schemas/AddressSmsAddress'
                        messageId:
                          type: string
                          nullable: true
                        isFromMe:
                          type: boolean
                        isGroupMessage:
                          type: boolean
                        deliveryStrategy:
                          type: integer
                        priority:
                          maximum: 5
                          minimum: 1
                          type: integer
                          format: uint8
                        deliveryDeadline:
                          type: string
                          format: date-time
                          nullable: true
                        isForwarded:
                          type: boolean
                        isStatusMessage:
                          type: boolean
                        isHistoryMessage:
                          type: boolean
                        isNewsletter:
                          type: boolean
                        isBroadcast:
                          type: boolean
                        isAnnounceGroup:
                          type: boolean
                        isCommunityNotices:
                          type: boolean
                        quotedMessage:
                          type: object
                          properties:
                            messageId:
                              type: string
                              nullable: true
                            participant:
                              type: string
                              nullable: true
                            body:
                              type: string
                              nullable: true
                            type:
                              type: string
                              nullable: true
                            thumbnail:
                              type: string
                              nullable: true
                            isStatusReply:
                              type: boolean
                          nullable: true
                        metaReferralAds:
                          type: object
                          properties:
                            sourceUrl:
                              type: string
                              nullable: true
                            sourceType:
                              type: string
                              nullable: true
                            sourceId:
                              type: string
                              nullable: true
                            headline:
                              type: string
                              nullable: true
                            body:
                              type: string
                              nullable: true
                            mediaType:
                              type: string
                              nullable: true
                            imageUrl:
                              type: string
                              nullable: true
                            videoUrl:
                              type: string
                              nullable: true
                            thumbnailUrl:
                              type: string
                              nullable: true
                            ctwaClid:
                              type: string
                              nullable: true
                          nullable: true
                        timestamp:
                          type: string
                          format: date-time
                    - title: Localização
                      required:
                        - to
                      properties:
                        type:
                          enum:
                            - LOCATION
                          type: string
                        name:
                          type: string
                          nullable: true
                        address:
                          type: string
                          nullable: true
                        latitude:
                          type: number
                          format: double
                        longitude:
                          type: number
                          format: double
                        from:
                          required:
                            - type
                          type: object
                          anyOf:
                            - properties:
                                type:
                                  enum:
                                    - EMAIL
                                  type: string
                                email:
                                  type: string
                                name:
                                  type: string
                            - properties:
                                type:
                                  enum:
                                    - WHATSAPP
                                  type: string
                                jid:
                                  type: string
                                  nullable: true
                                lid:
                                  type: string
                                  nullable: true
                                number:
                                  type: string
                                  nullable: true
                                name:
                                  type: string
                                  nullable: true
                            - properties:
                                type:
                                  enum:
                                    - SMS
                                  type: string
                                number:
                                  type: string
                          nullable: true
                          discriminator:
                            propertyName: type
                            mapping:
                              EMAIL: '#/components/schemas/AddressEmailAddress'
                              WHATSAPP: '#/components/schemas/AddressWhatsAppAddress'
                              SMS: '#/components/schemas/AddressSmsAddress'
                        to:
                          required:
                            - type
                          type: object
                          anyOf:
                            - properties:
                                type:
                                  enum:
                                    - EMAIL
                                  type: string
                                email:
                                  type: string
                                name:
                                  type: string
                            - properties:
                                type:
                                  enum:
                                    - WHATSAPP
                                  type: string
                                jid:
                                  type: string
                                  nullable: true
                                lid:
                                  type: string
                                  nullable: true
                                number:
                                  type: string
                                  nullable: true
                                name:
                                  type: string
                                  nullable: true
                            - properties:
                                type:
                                  enum:
                                    - SMS
                                  type: string
                                number:
                                  type: string
                          discriminator:
                            propertyName: type
                            mapping:
                              EMAIL: '#/components/schemas/AddressEmailAddress'
                              WHATSAPP: '#/components/schemas/AddressWhatsAppAddress'
                              SMS: '#/components/schemas/AddressSmsAddress'
                        messageId:
                          type: string
                          nullable: true
                        isFromMe:
                          type: boolean
                        isGroupMessage:
                          type: boolean
                        deliveryStrategy:
                          type: integer
                        priority:
                          maximum: 5
                          minimum: 1
                          type: integer
                          format: uint8
                        deliveryDeadline:
                          type: string
                          format: date-time
                          nullable: true
                        isForwarded:
                          type: boolean
                        isStatusMessage:
                          type: boolean
                        isHistoryMessage:
                          type: boolean
                        isNewsletter:
                          type: boolean
                        isBroadcast:
                          type: boolean
                        isAnnounceGroup:
                          type: boolean
                        isCommunityNotices:
                          type: boolean
                        quotedMessage:
                          type: object
                          properties:
                            messageId:
                              type: string
                              nullable: true
                            participant:
                              type: string
                              nullable: true
                            body:
                              type: string
                              nullable: true
                            type:
                              type: string
                              nullable: true
                            thumbnail:
                              type: string
                              nullable: true
                            isStatusReply:
                              type: boolean
                          nullable: true
                        metaReferralAds:
                          type: object
                          properties:
                            sourceUrl:
                              type: string
                              nullable: true
                            sourceType:
                              type: string
                              nullable: true
                            sourceId:
                              type: string
                              nullable: true
                            headline:
                              type: string
                              nullable: true
                            body:
                              type: string
                              nullable: true
                            mediaType:
                              type: string
                              nullable: true
                            imageUrl:
                              type: string
                              nullable: true
                            videoUrl:
                              type: string
                              nullable: true
                            thumbnailUrl:
                              type: string
                              nullable: true
                            ctwaClid:
                              type: string
                              nullable: true
                          nullable: true
                        timestamp:
                          type: string
                          format: date-time
                    - title: Localização ao Vivo
                      required:
                        - to
                      properties:
                        type:
                          enum:
                            - LIVE_LOCATION
                          type: string
                        caption:
                          type: string
                          nullable: true
                        sequenceNumber:
                          pattern: ^-?(?:0|[1-9]\d*)$
                          type: integer
                          nullable: true
                        latitude:
                          type: number
                          format: double
                        longitude:
                          type: number
                          format: double
                        from:
                          required:
                            - type
                          type: object
                          anyOf:
                            - properties:
                                type:
                                  enum:
                                    - EMAIL
                                  type: string
                                email:
                                  type: string
                                name:
                                  type: string
                            - properties:
                                type:
                                  enum:
                                    - WHATSAPP
                                  type: string
                                jid:
                                  type: string
                                  nullable: true
                                lid:
                                  type: string
                                  nullable: true
                                number:
                                  type: string
                                  nullable: true
                                name:
                                  type: string
                                  nullable: true
                            - properties:
                                type:
                                  enum:
                                    - SMS
                                  type: string
                                number:
                                  type: string
                          nullable: true
                          discriminator:
                            propertyName: type
                            mapping:
                              EMAIL: '#/components/schemas/AddressEmailAddress'
                              WHATSAPP: '#/components/schemas/AddressWhatsAppAddress'
                              SMS: '#/components/schemas/AddressSmsAddress'
                        to:
                          required:
                            - type
                          type: object
                          anyOf:
                            - properties:
                                type:
                                  enum:
                                    - EMAIL
                                  type: string
                                email:
                                  type: string
                                name:
                                  type: string
                            - properties:
                                type:
                                  enum:
                                    - WHATSAPP
                                  type: string
                                jid:
                                  type: string
                                  nullable: true
                                lid:
                                  type: string
                                  nullable: true
                                number:
                                  type: string
                                  nullable: true
                                name:
                                  type: string
                                  nullable: true
                            - properties:
                                type:
                                  enum:
                                    - SMS
                                  type: string
                                number:
                                  type: string
                          discriminator:
                            propertyName: type
                            mapping:
                              EMAIL: '#/components/schemas/AddressEmailAddress'
                              WHATSAPP: '#/components/schemas/AddressWhatsAppAddress'
                              SMS: '#/components/schemas/AddressSmsAddress'
                        messageId:
                          type: string
                          nullable: true
                        isFromMe:
                          type: boolean
                        isGroupMessage:
                          type: boolean
                        deliveryStrategy:
                          type: integer
                        priority:
                          maximum: 5
                          minimum: 1
                          type: integer
                          format: uint8
                        deliveryDeadline:
                          type: string
                          format: date-time
                          nullable: true
                        isForwarded:
                          type: boolean
                        isStatusMessage:
                          type: boolean
                        isHistoryMessage:
                          type: boolean
                        isNewsletter:
                          type: boolean
                        isBroadcast:
                          type: boolean
                        isAnnounceGroup:
                          type: boolean
                        isCommunityNotices:
                          type: boolean
                        quotedMessage:
                          type: object
                          properties:
                            messageId:
                              type: string
                              nullable: true
                            participant:
                              type: string
                              nullable: true
                            body:
                              type: string
                              nullable: true
                            type:
                              type: string
                              nullable: true
                            thumbnail:
                              type: string
                              nullable: true
                            isStatusReply:
                              type: boolean
                          nullable: true
                        metaReferralAds:
                          type: object
                          properties:
                            sourceUrl:
                              type: string
                              nullable: true
                            sourceType:
                              type: string
                              nullable: true
                            sourceId:
                              type: string
                              nullable: true
                            headline:
                              type: string
                              nullable: true
                            body:
                              type: string
                              nullable: true
                            mediaType:
                              type: string
                              nullable: true
                            imageUrl:
                              type: string
                              nullable: true
                            videoUrl:
                              type: string
                              nullable: true
                            thumbnailUrl:
                              type: string
                              nullable: true
                            ctwaClid:
                              type: string
                              nullable: true
                          nullable: true
                        timestamp:
                          type: string
                          format: date-time
                    - title: Contato
                      required:
                        - to
                      properties:
                        type:
                          enum:
                            - CONTACT_MESSAGE
                          type: string
                        displayName:
                          type: string
                        vCard:
                          type: string
                        from:
                          required:
                            - type
                          type: object
                          anyOf:
                            - properties:
                                type:
                                  enum:
                                    - EMAIL
                                  type: string
                                email:
                                  type: string
                                name:
                                  type: string
                            - properties:
                                type:
                                  enum:
                                    - WHATSAPP
                                  type: string
                                jid:
                                  type: string
                                  nullable: true
                                lid:
                                  type: string
                                  nullable: true
                                number:
                                  type: string
                                  nullable: true
                                name:
                                  type: string
                                  nullable: true
                            - properties:
                                type:
                                  enum:
                                    - SMS
                                  type: string
                                number:
                                  type: string
                          nullable: true
                          discriminator:
                            propertyName: type
                            mapping:
                              EMAIL: '#/components/schemas/AddressEmailAddress'
                              WHATSAPP: '#/components/schemas/AddressWhatsAppAddress'
                              SMS: '#/components/schemas/AddressSmsAddress'
                        to:
                          required:
                            - type
                          type: object
                          anyOf:
                            - properties:
                                type:
                                  enum:
                                    - EMAIL
                                  type: string
                                email:
                                  type: string
                                name:
                                  type: string
                            - properties:
                                type:
                                  enum:
                                    - WHATSAPP
                                  type: string
                                jid:
                                  type: string
                                  nullable: true
                                lid:
                                  type: string
                                  nullable: true
                                number:
                                  type: string
                                  nullable: true
                                name:
                                  type: string
                                  nullable: true
                            - properties:
                                type:
                                  enum:
                                    - SMS
                                  type: string
                                number:
                                  type: string
                          discriminator:
                            propertyName: type
                            mapping:
                              EMAIL: '#/components/schemas/AddressEmailAddress'
                              WHATSAPP: '#/components/schemas/AddressWhatsAppAddress'
                              SMS: '#/components/schemas/AddressSmsAddress'
                        messageId:
                          type: string
                          nullable: true
                        isFromMe:
                          type: boolean
                        isGroupMessage:
                          type: boolean
                        deliveryStrategy:
                          type: integer
                        priority:
                          maximum: 5
                          minimum: 1
                          type: integer
                          format: uint8
                        deliveryDeadline:
                          type: string
                          format: date-time
                          nullable: true
                        isForwarded:
                          type: boolean
                        isStatusMessage:
                          type: boolean
                        isHistoryMessage:
                          type: boolean
                        isNewsletter:
                          type: boolean
                        isBroadcast:
                          type: boolean
                        isAnnounceGroup:
                          type: boolean
                        isCommunityNotices:
                          type: boolean
                        quotedMessage:
                          type: object
                          properties:
                            messageId:
                              type: string
                              nullable: true
                            participant:
                              type: string
                              nullable: true
                            body:
                              type: string
                              nullable: true
                            type:
                              type: string
                              nullable: true
                            thumbnail:
                              type: string
                              nullable: true
                            isStatusReply:
                              type: boolean
                          nullable: true
                        metaReferralAds:
                          type: object
                          properties:
                            sourceUrl:
                              type: string
                              nullable: true
                            sourceType:
                              type: string
                              nullable: true
                            sourceId:
                              type: string
                              nullable: true
                            headline:
                              type: string
                              nullable: true
                            body:
                              type: string
                              nullable: true
                            mediaType:
                              type: string
                              nullable: true
                            imageUrl:
                              type: string
                              nullable: true
                            videoUrl:
                              type: string
                              nullable: true
                            thumbnailUrl:
                              type: string
                              nullable: true
                            ctwaClid:
                              type: string
                              nullable: true
                          nullable: true
                        timestamp:
                          type: string
                          format: date-time
                    - title: Lista de Contatos
                      required:
                        - to
                      properties:
                        type:
                          enum:
                            - CONTACTS_MESSAGE
                          type: string
                        contacts:
                          type: array
                          items:
                            type: object
                            properties:
                              displayName:
                                type: string
                              vCard:
                                type: string
                        from:
                          required:
                            - type
                          type: object
                          anyOf:
                            - properties:
                                type:
                                  enum:
                                    - EMAIL
                                  type: string
                                email:
                                  type: string
                                name:
                                  type: string
                            - properties:
                                type:
                                  enum:
                                    - WHATSAPP
                                  type: string
                                jid:
                                  type: string
                                  nullable: true
                                lid:
                                  type: string
                                  nullable: true
                                number:
                                  type: string
                                  nullable: true
                                name:
                                  type: string
                                  nullable: true
                            - properties:
                                type:
                                  enum:
                                    - SMS
                                  type: string
                                number:
                                  type: string
                          nullable: true
                          discriminator:
                            propertyName: type
                            mapping:
                              EMAIL: '#/components/schemas/AddressEmailAddress'
                              WHATSAPP: '#/components/schemas/AddressWhatsAppAddress'
                              SMS: '#/components/schemas/AddressSmsAddress'
                        to:
                          required:
                            - type
                          type: object
                          anyOf:
                            - properties:
                                type:
                                  enum:
                                    - EMAIL
                                  type: string
                                email:
                                  type: string
                                name:
                                  type: string
                            - properties:
                                type:
                                  enum:
                                    - WHATSAPP
                                  type: string
                                jid:
                                  type: string
                                  nullable: true
                                lid:
                                  type: string
                                  nullable: true
                                number:
                                  type: string
                                  nullable: true
                                name:
                                  type: string
                                  nullable: true
                            - properties:
                                type:
                                  enum:
                                    - SMS
                                  type: string
                                number:
                                  type: string
                          discriminator:
                            propertyName: type
                            mapping:
                              EMAIL: '#/components/schemas/AddressEmailAddress'
                              WHATSAPP: '#/components/schemas/AddressWhatsAppAddress'
                              SMS: '#/components/schemas/AddressSmsAddress'
                        messageId:
                          type: string
                          nullable: true
                        isFromMe:
                          type: boolean
                        isGroupMessage:
                          type: boolean
                        deliveryStrategy:
                          type: integer
                        priority:
                          maximum: 5
                          minimum: 1
                          type: integer
                          format: uint8
                        deliveryDeadline:
                          type: string
                          format: date-time
                          nullable: true
                        isForwarded:
                          type: boolean
                        isStatusMessage:
                          type: boolean
                        isHistoryMessage:
                          type: boolean
                        isNewsletter:
                          type: boolean
                        isBroadcast:
                          type: boolean
                        isAnnounceGroup:
                          type: boolean
                        isCommunityNotices:
                          type: boolean
                        quotedMessage:
                          type: object
                          properties:
                            messageId:
                              type: string
                              nullable: true
                            participant:
                              type: string
                              nullable: true
                            body:
                              type: string
                              nullable: true
                            type:
                              type: string
                              nullable: true
                            thumbnail:
                              type: string
                              nullable: true
                            isStatusReply:
                              type: boolean
                          nullable: true
                        metaReferralAds:
                          type: object
                          properties:
                            sourceUrl:
                              type: string
                              nullable: true
                            sourceType:
                              type: string
                              nullable: true
                            sourceId:
                              type: string
                              nullable: true
                            headline:
                              type: string
                              nullable: true
                            body:
                              type: string
                              nullable: true
                            mediaType:
                              type: string
                              nullable: true
                            imageUrl:
                              type: string
                              nullable: true
                            videoUrl:
                              type: string
                              nullable: true
                            thumbnailUrl:
                              type: string
                              nullable: true
                            ctwaClid:
                              type: string
                              nullable: true
                          nullable: true
                        timestamp:
                          type: string
                          format: date-time
                    - title: Pedido
                      required:
                        - to
                      properties:
                        type:
                          enum:
                            - ORDER
                          type: string
                        orderId:
                          type: string
                          nullable: true
                        itemCount:
                          type: integer
                          format: int32
                        totalAmount1000:
                          type: integer
                          format: int64
                        totalCurrencyCode:
                          type: string
                          nullable: true
                        text:
                          type: string
                          nullable: true
                        thumbnail:
                          type: string
                          nullable: true
                        items:
                          type: array
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                                nullable: true
                              quantity:
                                type: integer
                                format: int32
                              price:
                                type: integer
                                format: int64
                              currency:
                                type: string
                                nullable: true
                              imageUrl:
                                type: string
                                nullable: true
                          nullable: true
                        from:
                          required:
                            - type
                          type: object
                          anyOf:
                            - properties:
                                type:
                                  enum:
                                    - EMAIL
                                  type: string
                                email:
                                  type: string
                                name:
                                  type: string
                            - properties:
                                type:
                                  enum:
                                    - WHATSAPP
                                  type: string
                                jid:
                                  type: string
                                  nullable: true
                                lid:
                                  type: string
                                  nullable: true
                                number:
                                  type: string
                                  nullable: true
                                name:
                                  type: string
                                  nullable: true
                            - properties:
                                type:
                                  enum:
                                    - SMS
                                  type: string
                                number:
                                  type: string
                          nullable: true
                          discriminator:
                            propertyName: type
                            mapping:
                              EMAIL: '#/components/schemas/AddressEmailAddress'
                              WHATSAPP: '#/components/schemas/AddressWhatsAppAddress'
                              SMS: '#/components/schemas/AddressSmsAddress'
                        to:
                          required:
                            - type
                          type: object
                          anyOf:
                            - properties:
                                type:
                                  enum:
                                    - EMAIL
                                  type: string
                                email:
                                  type: string
                                name:
                                  type: string
                            - properties:
                                type:
                                  enum:
                                    - WHATSAPP
                                  type: string
                                jid:
                                  type: string
                                  nullable: true
                                lid:
                                  type: string
                                  nullable: true
                                number:
                                  type: string
                                  nullable: true
                                name:
                                  type: string
                                  nullable: true
                            - properties:
                                type:
                                  enum:
                                    - SMS
                                  type: string
                                number:
                                  type: string
                          discriminator:
                            propertyName: type
                            mapping:
                              EMAIL: '#/components/schemas/AddressEmailAddress'
                              WHATSAPP: '#/components/schemas/AddressWhatsAppAddress'
                              SMS: '#/components/schemas/AddressSmsAddress'
                        messageId:
                          type: string
                          nullable: true
                        isFromMe:
                          type: boolean
                        isGroupMessage:
                          type: boolean
                        deliveryStrategy:
                          type: integer
                        priority:
                          maximum: 5
                          minimum: 1
                          type: integer
                          format: uint8
                        deliveryDeadline:
                          type: string
                          format: date-time
                          nullable: true
                        isForwarded:
                          type: boolean
                        isStatusMessage:
                          type: boolean
                        isHistoryMessage:
                          type: boolean
                        isNewsletter:
                          type: boolean
                        isBroadcast:
                          type: boolean
                        isAnnounceGroup:
                          type: boolean
                        isCommunityNotices:
                          type: boolean
                        quotedMessage:
                          type: object
                          properties:
                            messageId:
                              type: string
                              nullable: true
                            participant:
                              type: string
                              nullable: true
                            body:
                              type: string
                              nullable: true
                            type:
                              type: string
                              nullable: true
                            thumbnail:
                              type: string
                              nullable: true
                            isStatusReply:
                              type: boolean
                          nullable: true
                        metaReferralAds:
                          type: object
                          properties:
                            sourceUrl:
                              type: string
                              nullable: true
                            sourceType:
                              type: string
                              nullable: true
                            sourceId:
                              type: string
                              nullable: true
                            headline:
                              type: string
                              nullable: true
                            body:
                              type: string
                              nullable: true
                            mediaType:
                              type: string
                              nullable: true
                            imageUrl:
                              type: string
                              nullable: true
                            videoUrl:
                              type: string
                              nullable: true
                            thumbnailUrl:
                              type: string
                              nullable: true
                            ctwaClid:
                              type: string
                              nullable: true
                          nullable: true
                        timestamp:
                          type: string
                          format: date-time
                    - title: Interativo
                      required:
                        - interactiveType
                        - payload
                        - to
                      properties:
                        type:
                          enum:
                            - INTERACTIVE
                          type: string
                        interactiveType:
                          type: string
                        payload: {}
                        from:
                          required:
                            - type
                          type: object
                          anyOf:
                            - properties:
                                type:
                                  enum:
                                    - EMAIL
                                  type: string
                                email:
                                  type: string
                                name:
                                  type: string
                            - properties:
                                type:
                                  enum:
                                    - WHATSAPP
                                  type: string
                                jid:
                                  type: string
                                  nullable: true
                                lid:
                                  type: string
                                  nullable: true
                                number:
                                  type: string
                                  nullable: true
                                name:
                                  type: string
                                  nullable: true
                            - properties:
                                type:
                                  enum:
                                    - SMS
                                  type: string
                                number:
                                  type: string
                          nullable: true
                          discriminator:
                            propertyName: type
                            mapping:
                              EMAIL: '#/components/schemas/AddressEmailAddress'
                              WHATSAPP: '#/components/schemas/AddressWhatsAppAddress'
                              SMS: '#/components/schemas/AddressSmsAddress'
                        to:
                          required:
                            - type
                          type: object
                          anyOf:
                            - properties:
                                type:
                                  enum:
                                    - EMAIL
                                  type: string
                                email:
                                  type: string
                                name:
                                  type: string
                            - properties:
                                type:
                                  enum:
                                    - WHATSAPP
                                  type: string
                                jid:
                                  type: string
                                  nullable: true
                                lid:
                                  type: string
                                  nullable: true
                                number:
                                  type: string
                                  nullable: true
                                name:
                                  type: string
                                  nullable: true
                            - properties:
                                type:
                                  enum:
                                    - SMS
                                  type: string
                                number:
                                  type: string
                          discriminator:
                            propertyName: type
                            mapping:
                              EMAIL: '#/components/schemas/AddressEmailAddress'
                              WHATSAPP: '#/components/schemas/AddressWhatsAppAddress'
                              SMS: '#/components/schemas/AddressSmsAddress'
                        messageId:
                          type: string
                          nullable: true
                        isFromMe:
                          type: boolean
                        isGroupMessage:
                          type: boolean
                        deliveryStrategy:
                          type: integer
                        priority:
                          maximum: 5
                          minimum: 1
                          type: integer
                          format: uint8
                        deliveryDeadline:
                          type: string
                          format: date-time
                          nullable: true
                        isForwarded:
                          type: boolean
                        isStatusMessage:
                          type: boolean
                        isHistoryMessage:
                          type: boolean
                        isNewsletter:
                          type: boolean
                        isBroadcast:
                          type: boolean
                        isAnnounceGroup:
                          type: boolean
                        isCommunityNotices:
                          type: boolean
                        quotedMessage:
                          type: object
                          properties:
                            messageId:
                              type: string
                              nullable: true
                            participant:
                              type: string
                              nullable: true
                            body:
                              type: string
                              nullable: true
                            type:
                              type: string
                              nullable: true
                            thumbnail:
                              type: string
                              nullable: true
                            isStatusReply:
                              type: boolean
                          nullable: true
                        metaReferralAds:
                          type: object
                          properties:
                            sourceUrl:
                              type: string
                              nullable: true
                            sourceType:
                              type: string
                              nullable: true
                            sourceId:
                              type: string
                              nullable: true
                            headline:
                              type: string
                              nullable: true
                            body:
                              type: string
                              nullable: true
                            mediaType:
                              type: string
                              nullable: true
                            imageUrl:
                              type: string
                              nullable: true
                            videoUrl:
                              type: string
                              nullable: true
                            thumbnailUrl:
                              type: string
                              nullable: true
                            ctwaClid:
                              type: string
                              nullable: true
                          nullable: true
                        timestamp:
                          type: string
                          format: date-time
                    - title: Endereço
                      required:
                        - country
                        - to
                      properties:
                        type:
                          enum:
                            - ADDRESS_MESSAGE
                          type: string
                        country:
                          type: string
                        values:
                          nullable: true
                        from:
                          required:
                            - type
                          type: object
                          anyOf:
                            - properties:
                                type:
                                  enum:
                                    - EMAIL
                                  type: string
                                email:
                                  type: string
                                name:
                                  type: string
                            - properties:
                                type:
                                  enum:
                                    - WHATSAPP
                                  type: string
                                jid:
                                  type: string
                                  nullable: true
                                lid:
                                  type: string
                                  nullable: true
                                number:
                                  type: string
                                  nullable: true
                                name:
                                  type: string
                                  nullable: true
                            - properties:
                                type:
                                  enum:
                                    - SMS
                                  type: string
                                number:
                                  type: string
                          nullable: true
                          discriminator:
                            propertyName: type
                            mapping:
                              EMAIL: '#/components/schemas/AddressEmailAddress'
                              WHATSAPP: '#/components/schemas/AddressWhatsAppAddress'
                              SMS: '#/components/schemas/AddressSmsAddress'
                        to:
                          required:
                            - type
                          type: object
                          anyOf:
                            - properties:
                                type:
                                  enum:
                                    - EMAIL
                                  type: string
                                email:
                                  type: string
                                name:
                                  type: string
                            - properties:
                                type:
                                  enum:
                                    - WHATSAPP
                                  type: string
                                jid:
                                  type: string
                                  nullable: true
                                lid:
                                  type: string
                                  nullable: true
                                number:
                                  type: string
                                  nullable: true
                                name:
                                  type: string
                                  nullable: true
                            - properties:
                                type:
                                  enum:
                                    - SMS
                                  type: string
                                number:
                                  type: string
                          discriminator:
                            propertyName: type
                            mapping:
                              EMAIL: '#/components/schemas/AddressEmailAddress'
                              WHATSAPP: '#/components/schemas/AddressWhatsAppAddress'
                              SMS: '#/components/schemas/AddressSmsAddress'
                        messageId:
                          type: string
                          nullable: true
                        isFromMe:
                          type: boolean
                        isGroupMessage:
                          type: boolean
                        deliveryStrategy:
                          type: integer
                        priority:
                          maximum: 5
                          minimum: 1
                          type: integer
                          format: uint8
                        deliveryDeadline:
                          type: string
                          format: date-time
                          nullable: true
                        isForwarded:
                          type: boolean
                        isStatusMessage:
                          type: boolean
[...]
